Bug 1511411 (CVE-2017-16548) - CVE-2017-16548 rsync: Heap-based buffer over-read in receive_xattr function
Summary: CVE-2017-16548 rsync: Heap-based buffer over-read in receive_xattr function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-16548
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171031,repor...
Depends On: 1511412 1511413 1511414
Blocks: 1511417
TreeView+ depends on / blocked
 
Reported: 2017-11-09 10:11 UTC by Adam Mariš
Modified: 2019-06-08 22:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-14 11:16:31 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-09 10:11:34 UTC
The receive_xattr function in xattrs.c in rsync 3.1.2 and 3.1.3-development does not check for a trailing '\0' character in an xattr name, which allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) or possibly have unspecified other impact by sending crafted data to the daemon.

Upstream bug:

https://bugzilla.samba.org/show_bug.cgi?id=13112

Upstream patch:

https://git.samba.org/rsync.git/?p=rsync.git;a=commit;h=47a63d90e71d3e19e0e96052bb8c6b9cb140ecc1

Comment 1 Adam Mariš 2017-11-09 10:12:02 UTC
Created rsync tracking bugs for this issue:

Affects: fedora-all [bug 1511414]


Created rsync-bpc tracking bugs for this issue:

Affects: epel-7 [bug 1511413]
Affects: fedora-all [bug 1511412]

Comment 2 Stefan Cornelius 2017-11-14 11:16:42 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.